//PROGRAMM FOR BUTTON AND LED
//
// PROCESSOR : PIC16F688
// CLOCK	 : 20MHz, EXTERNAL


#include	<pic.h>

__CONFIG(WDTDIS & MCLREN & BORDIS & HS & PWRTEN & FCMDIS & IESODIS) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// main function
void main( void ) {


	OPTION	= 0x80;			// GPIO pull-ups are disabled
	INTCON 	= 0x0;			// Disable inerupt
	WPUA 	= 0x0;			// pull-up disable
	ANSEL 	= 0x0;			// port as Digital IO
	CMCON0 	= 0x07;		    // port as Digital IO
	TRISC2 	= 0;			// Led pin as output
	TRISC3 	= 1;			// Button as input


	// loop forever - echo 
	while(1) {

		if((PORTC&0x08)==0) {
			PORTC &= ~0x04; 
		}
		else {
			PORTC |= 0x04; 
		}
	}
}
